Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit.servlet
Class ClientTool

    java.lang.Object
      |
      +--com.infodesire.infobit.servlet.ClientTool

public class ClientTool
extends java.lang.Object

Class ClientTool supports the access to various test servlets. In particular, it may be used to send PUT requests to the `BinaryServlet`.

Usage:
[--put file | --type mime-type]* resource

Description
Sends the request specified by the relative URL `resource`. The request is specified by the options.

Options:

--put file
  Request to PUT `file` to `resource>`
--type type
  Specifies the MIME type of a resource to PUT. Defaults to `application/octet`

Version:
  $Revision: 1.29 $
Author:
  peter2

Constructor Summary
`ClientTool()`

Method Summary
`static void` | `main(java.lang.String[] argv)` Performs a request.
`int` | `process()` Processes the request specified by the object state.
`boolean` | `setup(java.lang.String[] argv)` Sets up the properties from a command line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientTool

    public ClientTool()

Method Detail

### main

    public static void main(java.lang.String[] argv)

  Performs a request.

  Parameters:
    `argv` - Description of Parameter

### setup

    public boolean setup(java.lang.String[] argv)

  Sets up the properties from a command line. See the class comment for a specification of the command line format.

  Parameters:
    `argv` - The command line arguments
  Returns:
    The command line arguments are appropriate

### process

    public int process()
                throws java.io.IOException

  Processes the request specified by the object state.

  Returns:
    An error code, whith zero indicating success
  Throws:
    `java.io.IOException` - Description of Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.